--
-- register
--
-- @autor   nilBrain @VertexDezign
-- @date    26/01/2021
-- @node    register for Dynamic Header Speed
-- Copyright (C) nilBrain, Confidential, All Rights Reserved.
DynamicHeaderSpeedRegister = {}

local modName = g_currentModName;
local modDir = g_currentModDirectory;

DynamicHeaderSpeedRegister.MOD_NAME = modName;
DynamicHeaderSpeedRegister.MOD_DIR = modDir;

TypeManager.validateTypes = Utils.appendedFunction(TypeManager.validateTypes, function(typeManager)
    if typeManager.typeName == "vehicle" then
        g_specializationManager:addSpecialization("dynamicHeaderSpeed", "DynamicHeaderSpeed", Utils.getFilename("src/DynamicHeaderSpeed.lua", modDir), nil)

        --loadspecializationsFromXML();
        for typeName, typeEntry in pairs(g_vehicleTypeManager:getTypes()) do
            if SpecializationUtil.hasSpecialization(Cutter, typeEntry.specializations) then
                g_vehicleTypeManager:addSpecialization(typeName, modName .. ".dynamicHeaderSpeed")
            end
        end
    end;
end);